Module java.desktop
Package javax.swing.plaf.basic

## Class BasicToolBarUI.ToolBarFocusListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.ToolBarFocusListener

- All Implemented Interfaces:
    `FocusListener`, `EventListener`
  Enclosing class:
    BasicToolBarUI

      protected class BasicToolBarUI.ToolBarFocusListener
      extends Object
      implements FocusListener

  The class listens for focus events.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ToolBarFocusListener​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `focusGained​(FocusEvent e)` | Invoked when a component gains the keyboard focus.
    `void` | `focusLost​(FocusEvent e)` | Invoked when a component loses the keyboard focus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolBarFocusListener

          protected ToolBarFocusListener​()

  - ### Method Detail

    - #### focusGained

          public void focusGained​(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`
      Parameters:
        `e` - the event to be processed

    - #### focusLost

          public void focusLost​(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`
      Parameters:
        `e` - the event to be processed